package com.goafanti.customer.service;

import com.goafanti.common.model.UserArchives;
import com.goafanti.customer.bo.InputSelectUserArchives;

/**
 * 客户档案表(UserArchives)表服务接口
 *
 * @author makejava
 * @since 2024-07-12 11:52:01
 */
public interface UserArchivesService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    UserArchives queryById(Integer id);

    

    /**
     * 新增数据
     *
     * @param userArchives 实例对象
     * @return 实例对象
     */
    UserArchives insert(UserArchives userArchives);

    /**
     * 修改数据
     *
     * @param userArchives 实例对象
     * @return 实例对象
     */
    UserArchives update(UserArchives userArchives,Integer channelType);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    Object list(UserArchives in, Integer pageNo, Integer pageSize);

    Object queryByUid(String id);

    Object queryByUidAll(String id);

    boolean checkPermission(String id);

    Object selectUserArchives(InputSelectUserArchives in);

    Object addAwards(String uid,Integer status);

    Object updateAwards(String uid,Integer status);

    Object selectUserArchivesExport(InputSelectUserArchives in);
}
